CVE-2015-2666

MEDIUM

Description

Stack-based buffer overflow in the get_matching_model_microcode function in arch/x86/kernel/cpu/microcode/intel_early.c in the Linux kernel before 4.0 allows context-dependent attackers to gain privileges by constructing a crafted microcode header and leveraging root privileges for write access to the initrd.

References

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=f84598bd7c851f8b0bf8cd0d7c3be0d73c432ff4

http://lists.fedoraproject.org/pipermail/package-announce/2015-March/153329.html

http://rhn.redhat.com/errata/RHSA-2015-1534.html

http://www.openwall.com/lists/oss-security/2015/03/20/18

http://www.securitytracker.com/id/1032414

https://bugzilla.redhat.com/show_bug.cgi?id=1204722

https://github.com/torvalds/linux/commit/f84598bd7c851f8b0bf8cd0d7c3be0d73c432ff4

Details

Source: MITRE

Published: 2015-05-27

Updated: 2016-12-31

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 6.9

Vector: AV:L/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.4

Severity: MEDIUM